project/src/model/Login.java
package model;

public class Login {
	private String loginID;
	private String pass;
	
	public Login(String loginID,String pass){
		this.loginID= loginID;
		this.pass= pass;
	}

	public String getLoginID() {
		return loginID;
	}

	public void setLoginID(String loginID) {
		this.loginID = loginID;
	}

	public String getPass() {
		return pass;
	}

	public void setPass(String pass) {
		this.pass = pass;
	}
	
	
 
}

project/src/model/LoginLogic.java
package model;

import DAO.UserDAO;

public class LoginLogic {
	public boolean execute(Login login) {
		UserDAO dao = new UserDAO();
		
		UserBean result=dao.findByLogin(login);
		return result != null;
	}

}

project/src/model/Test.java
package model;

import java.sql.Date;

import DAO.UserDAO;

public class Test {
	
	public static void main(String[] args) {
		UserDAO dao = new UserDAO();
		
		Date sqlDate= Date.valueOf("2017-03-02");
		int result=dao.renew("4","55","ブンブン",sqlDate);
		
		System.out.println(result);
		
	}
 
	/*	UserDAO dao = new UserDAO();
		String login_id= "test10";

	   	 Date birth_date= Date.valueOf("2017-03-02");
	   	String login_id_unique=dao.login_id_unique(login_id);
	   	if (login_id_unique==null){

		int result=dao.resister(login_id,"あ",birth_date,"3333",birth_date,birth_date);
		System.out.println(result);
	   	}
	   	else {
	   		System.out.println("同名あり");
	   	}
	   	*/
		
   	

		
		/*
		
		
		
		
        Connection conn = null;
      //  UserBean user=null;
        PreparedStatement st = null;
        int result = 0;
        try {
            // データベースへ接続
        	 Class.forName("com.mysql.jdbc.Driver");
             conn = DriverManager.getConnection("jdbc:mysql://localhost/usermanagement", "root","password");
        	 st=conn.prepareStatement("insert into user values (0,'test2','ガロ',?,'5656',?,?)");
        	 Date sqlDate= Date.valueOf("2017-03-02");
        	 st.setDate(1, sqlDate);
  			 st.setDate(2, sqlDate);
  			 st.setDate(3, sqlDate);

 			
 			result = st.executeUpdate();
 			System.out.println(result);
 			
        
 
	} catch (SQLException | ClassNotFoundException e) {
		e.printStackTrace();
		//System.out.println("データの登録に失敗しました。");
	} finally {
		try {
			if (st != null) {
				st.close();
			}
			if (conn != null) {
				conn.close();
			}
		} catch (SQLException e) {
			e.printStackTrace();
		}    
	}
        */	
    }
	

project/src/model/UserBean.java
package model;

import java.sql.Date;
import java.sql.Timestamp;
import java.text.SimpleDateFormat;

public class UserBean //implements java.io.Serializable
    {
	private int id;
	private String login_id;
	private String name;
	private Date birth_date;
	private String password;
	private Timestamp create_date;
	private Timestamp update_time;

	public UserBean(int id,String login_id, String name, Date birth_date,String password, Timestamp create_date,Timestamp update_time) {
		this.id = id;
		this.login_id = login_id;
		this.name = name;
		this.birth_date = birth_date;
		this.password = password;
		this.create_date = create_date;
		this.update_time = update_time;

	}



	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getLogin_id() {
		return login_id;
	}
	public void setLogin_id(String login_id) {
		this.login_id = login_id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public Date getBirth_date() {
		return birth_date;
	}
	public void setBirth_date(Date birth_date) {
		this.birth_date = birth_date;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public Timestamp getCreate_date() {
		return create_date;
	}
	public void setCreate_date(Timestamp create_date) {
		this.create_date = create_date;
	}
	public Timestamp getUpdate_time() {
		return update_time;
	}
	public void setUpdate_time(Timestamp update_time) {
		this.update_time = update_time;
	}
	public String getFormatedBirth_date() {
		SimpleDateFormat simpledateformat = new SimpleDateFormat("yyyy年MM月dd日");
		String formatedDate = simpledateformat.format(this.birth_date);

		return formatedDate;
	}

	public String getFormatedUpdate_time() {
		SimpleDateFormat simpledateformat = new SimpleDateFormat("yyyy年MM月dd日 HH:mm");
		String formatedDate = simpledateformat.format(this.update_time);

		return formatedDate;
	}
	public String getFormatedCreate_date() {
		SimpleDateFormat simpledateformat = new SimpleDateFormat("yyyy年MM月dd日 HH:mm");
		String formatedDate = simpledateformat.format(this.create_date);

		return formatedDate;
	}

	}

project/src/controller/LoginServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import DAO.UserDAO;
import model.Login;
import model.UserBean;

/**
 * Servlet implementation class LoginServlet
 */
@WebServlet("/LoginServlet")
public class LoginServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     *
     * @see HttpServlet#HttpServlet()
     */
    public LoginServlet() {
        super();

        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		HttpSession session = request.getSession();
		UserBean loginUser=(UserBean)session.getAttribute("loginUser");

		if(loginUser!=null) {
			response.sendRedirect("UserList");
		}else {
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
		dispatcher.forward(request, response);
		}
	}


	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

        request.setCharacterEncoding("UTF-8");

		String loginID = request.getParameter("ID");
		String pass=request.getParameter("pass");
		Login login=new Login(loginID,pass);

		UserDAO dao = new UserDAO();
		UserBean user=dao.findByLogin(login);

		if(user==null){
			request.setAttribute("errMsg", "ログインIDまたはパスワードが異なります");

			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
			dispatcher.forward(request, response);

		}
		// セッションにユーザの情報をセット
		HttpSession session = request.getSession();
		session.setAttribute("loginUser", user);
		response.sendRedirect("UserList");
		}

	}

project/WebContent/WEB-INF/jsp/delete.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
<head>
<meta charset=UTF-8>
<title>ユーザ削除</title>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<link href="css/original/common.css" rel="stylesheet">
</head>
<body>
<header>
      <nav class="navbar navbar-inverse navbar-light bg-light">
      	<div class="container">
      		<div class="navbar-header">
            <a class="navbar-brand" href="UserList">ユーザ管理システム</a>
      		</div>

          <ul class="nav navbar-nav navbar-right">
            <li class="navbar-text">${loginUser.name}さん </li>
  			<li>
  			  <a href="Logout">ログアウト</a>
            </li>
  		  </ul>
      	</div>
      </nav>
    </header>
ログインID:${user.login_id}<br>
を本当に削除してもよろしいでしょうか。
<form action="Delete" method="post">
<input type="hidden" value="${user.id}" name="id">
<button type="submit" value="OK" class="btn btn-info btn-sm">OK</button>
<a href="UserList" class="btn btn-info btn-sm">キャンセル</a>
</form>
</body>
</html>

project/WebContent/WEB-INF/jsp/detail.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
<head>
<meta charset=UTF-8>
<title>ユーザ情報詳細</title>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<link href="css/original/common.css" rel="stylesheet">

</head>
<body>
<header>
      <nav class="navbar navbar-inverse navbar-light bg-light">
      	<div class="container">
      		<div class="navbar-header">
            <a class="navbar-brand" href="UserList">ユーザ管理システム</a>
      		</div>

          <ul class="nav navbar-nav navbar-right">
            <li class="navbar-text">${loginUser.name}さん </li>
  			<li>
  			  <a href="Logout">ログアウト</a>
            </li>
  		  </ul>
      	</div>
      </nav>
    </header>
<h1 class="text-center">ユーザ情報詳細参照</h1>
<p>ログインID:${user.login_id}</p>
<p>ユーザ名:${user.name}</p>
<p>生年月日:${user.formatedBirth_date}</p>
<p>登録日時:${user.formatedCreate_date}</p>
<p>更新日時:${user.formatedUpdate_time}</p>


<a href="UserList" class="btn btn-info btn-sm">戻る</a>
</body>
</html>

project/WebContent/WEB-INF/jsp/login.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset=UTF-8>
<title>ログイン画面</title>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<link href="css/original/common.css" rel="stylesheet">
</head>
<body>

<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <a class="navbar-brand" href="UserList">ユーザ管理システム</a>

 </nav>
<div class="text-center">
<h1 class="font-weight-normal display-5 text-dark">ログイン画面</h1>
<form action="LoginServlet" method="post">
<p class="text-dark">ログインID<input type="text" name="ID"></p>
<p class="text-dark">パスワード<input type="password" name="pass"></p>
<input type="submit" value="ログイン" class="btn btn-primary btm-sm">
</form>
	<c:if test="${errMsg != null}" >
		<p class="text-danger"> ${errMsg}</p>
	</c:if>
</div>
</body>
</html>

project/WebContent/WEB-INF/jsp/renew.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
    <%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<meta charset=UTF-8>
<title>ユーザ情報更新</title>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<link href="css/original/common.css" rel="stylesheet">
</head>
<body>
    <header>
      <nav class="navbar navbar-inverse navbar-light bg-light">
      	<div class="container">
      		<div class="navbar-header">
            <a class="navbar-brand" href="UserList">ユーザ管理システム</a>
      		</div>

          <ul class="nav navbar-nav navbar-right">
            <li class="navbar-text">${loginUser.name}さん </li>
  			<li>
  			  <a href="Logout">ログアウト</a>
            </li>
  		  </ul>
      	</div>
      </nav>
    </header>
<h1 class="text-center">ユーザ情報更新</h1>
	<c:if test="${errMsg != null}" >
		<p class="text-danger"> ${errMsg}</p>
	</c:if>
ログインID:${user.login_id}${login_id}
<form action="Renew" method="post">
<input type="hidden" value="${user.login_id}${login_id}" name="login_id">
<input type="hidden" value="${user.id}${id}" name="id">
パスワード<input type="text" name="password1"><br>
パスワード（確認）<input type="text" name="password2"><br>
ユーザー名<input type="text" name="name" value="${user.name}${name}"><br>
生年月日<input type="date" name="birth_date" value="${user.birth_date}${birth_date}"><br>
<button type="submit" value="更新" class="btn btn-info btn-sm">更新</button>
</form>



<a href="UserList">戻る</a>


</body>
</html>

project/WebContent/WEB-INF/jsp/resister.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
        <%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<meta charset=UTF-8>
<title>新規登録</title>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<link href="css/original/common.css" rel="stylesheet">
</head>
<body>
    <header>
      <nav class="navbar navbar-inverse navbar-light bg-light">
      	<div class="container">
      		<div class="navbar-header">
            <a class="navbar-brand" href="UserList">ユーザ管理システム</a>
      		</div>

          <ul class="nav navbar-nav navbar-right">
            <li class="navbar-text">${loginUser.name}さん </li>
  			<li>
  			  <a href="Logout">ログアウト</a>
            </li>
  		  </ul>
      	</div>
      </nav>
    </header>

<h1 class="text-center">新規登録</h1>
	<c:if test="${errMsg != null}" >
		<p class="text-danger"> ${errMsg}</p>
	</c:if>
<form action="Resister" method="post">
ログインID<input type="text" name="login_id" value="${login_id}"><br>
パスワード<input type="text" name="password1"><br>
パスワード（確認）<input type="text" name="password2"><br>
ユーザー名<input type="text" name="name" value="${name}"><br>
生年月日<input type="date" name="birth_date" value="${birth_date}"><br>
<button type="submit" value="登録" class="btn btn-info btn-sm">登録</button>

</form>

<a href="UserList">戻る</a>

</body>
</html>

project/WebContent/WEB-INF/jsp/test.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
    <%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html >
<html>
<head>
<meta charset=UTF-8>
<title>Insert title here</title>
</head>
<body>

${user.name}

</body>
</html>

project/WebContent/WEB-INF/jsp/userList.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ page import="java.util.ArrayList"%>
<%@ page import="java.util.List"%>
<%@ page import="model.UserBean"%>
<%@ page import="DAO.UserDAO"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html>
<head>
<meta charset=UTF-8>
<title>ユーザ一覧</title>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<link href="css/original/common.css" rel="stylesheet">
</head>
<body>

    <header>
      <nav class="navbar navbar-inverse navbar-light bg-light">
      	<div class="container">
      		<div class="navbar-header">
            <a class="navbar-brand" href="UserList">ユーザ管理システム</a>
      		</div>

          <ul class="nav navbar-nav navbar-right">
            <li class="navbar-text">${loginUser.name}さん </li>
  			<li>
  			  <a href="Logout">ログアウト</a>
            </li>
  		  </ul>
      	</div>
      </nav>
    </header>

<h1 class="text-center">ユーザ一覧</h1>
<c:if test="${loginUser.id==1}"><a href="Resister">新規登録</a></c:if>
	<form action="UserList" method="post">
		<p>ログインID<input type="text" name="login_id"></p>
		<p>ユーザ名<input type="text" name="name"></p>
		<p>生年月日<input type="date" name="birth_date">〜<input type="date" name="birth_date2"></p>
		<button type="submit" value="検索" class="btn btn-info btn-sm">検索</button>
	</form>

	<table class="user_list" border=1>
		<tr>
			<th>ログインID</th>
			<th>ユーザー名</th>
			<th>生年月日</th>
			<th></th>

		</tr>
		<c:forEach var="user" items="${userList}">
			<tr>
				<td>${user.login_id}</td>
				<td>${user.name}</td>
				<td>${user.formatedBirth_date}</td>
				<td>
				<a href="Detail?id=${user.id}">参照</a>
				<%--
				<form action="Detail"  method="post">
				<input type="hidden" value="${user.login_id}" name="login_id">
				<input type="hidden" value="${user.password}" name="password">
				<input type="submit" value="詳細">
				</form>
				--%>
				<c:if test="${user.id==loginUser.id || loginUser.id==1}">
				<a href="Renew?id=${user.id}">更新</a>
				<%--
				<form action="Renew"  method="post">
				<input type="hidden" value="${user.login_id}" name="login_id">
				<input type="hidden" value="${user.password}" name="password">
				<input type="submit" value="更新">
				</form>
				--%>
				</c:if>
				<c:if test="${loginUser.id==1}">
				<a href="Delete?id=${user.id}">削除</a>

				<%--
				<form action="Delete"  method="post">
				<input type="hidden" value="${user.login_id}" name="login_id">
				<input type="hidden" value="${user.password}" name="password">
				<input type="submit" value="削除">
				</form>
				--%>

				</c:if>
				</td>
				</tr>
		</c:forEach>
	</table>

</body>
</html>